Mail archive
alpine-devel

[alpine-devel] testing/kde-workspace: Fix creating link, added paxctl rule

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Sat, 25 Oct 2014 05:14:17 +0000

---
 testing/kde-workspace/APKBUILD | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/testing/kde-workspace/
APKBUILD b/testing/kde-workspace/APKBUILD
index 320bf2d..1c332ec 100644
--- a/testing/kde-workspace/APKBUILD
+++ b/testing/kde-workspace/APKBUILD
_at__at_ -2,7 +2,7 @@
 # Maintainer:
 pkgname=kde-workspace
 pkgver=4.13.3
-pkgrel=0
+pkgrel=1
 pkgdesc="base kde applications"
 url="http://www.kde.org/"
 arch="x86 x86_64"
_at__at_ -14,7 +14,7 @@ depends_dev="kde-runtime-dev qimageblitz-dev
libxkbfile-dev
             libxcomposite-dev libxtst-dev libxcb-dev xcb-util-dev
             xcb-util-image-dev xcb-util-keysyms-dev xcb-util-renderutil-dev
             pciutils-dev linux-pam-dev libusb-compat-dev lm_sensors-dev"
-makedepends="$depends_dev cmake automoc4"
+makedepends="$depends_dev cmake automoc4 paxctl"
 install="$pkgname.pre-install"
 subpackages="$pkgname-dev $pkgname-doc"
 source="
http://download.kde.org/stable/${pkgver}/src/${pkgname}-4.11.11.tar.xz
_at__at_ -58,9 +58,10 @@ package() {
        cd "$_builddir"/build
        make DESTDIR="$pkgdir" install || return 1
        mkdir -p "$pkgdir"/usr/share/xsessions || return 1
-       ln -sf "$pkgdir"/usr/share/apps/kdm/sessions/kde-plasma.desktop \
+       ln -sf /usr/share/apps/kdm/sessions/kde-plasma.desktop \
                "$pkgdir"/usr/share/xsessions/kde-plasma.desktop || return 1
        install -Dm755 "$srcdir"/kdm.initd "$pkgdir"/etc/init.d/kdm ||
return 1
+       paxctl -c -mps "$pkgdir"/usr/bin/systemsettings || return 1
 }
 md5sums="cbd3311713b42d4856c66281fbe7a212  kde-workspace-4.11.11.tar.xz
--
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sat Oct 25 2014 - 05:14:17 GMT